Beefy Boxes and Bandwidth Generously Provided by pair Networks
Just another Perl shrine
 
PerlMonks  

Re: install CPAN modules

by Pizentios (Scribe)
on Sep 30, 2013 at 14:56 UTC ( #1056373=note: print w/replies, xml ) Need Help??


in reply to install CPAN modules

When i started my current job, we were a mainly debian shop. However because of issues like this we have since started moving away from debian. It's not only because of outdated perl libs, but outdated system libs that make it difficult to install things like Net::SNMP even into a perlbrew environment.

I am a big believer in leaving the system perl alone, because i have had to personally fix a messed up system twice and re-install another one because myself or some other admin updated the system's perl libs. So using the perl libs in the system's package system just isn't a option for me.

And yes, Net::SNMP is definatly a lib/package that i have experienced problems installing on debian systems because of outdated system libs. Interestingly enough, the lib installed just fine on my Ubuntu 13.04 desktop (into my perl brew install). Maybe a system upgrade is in order?

-Pizentios

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1056373]
help
Chatterbox?
[sierpinski]: Haha
[Discipulus]: i'm with you!
[Discipulus]: with eskimo greeting is a little bit impressing, anyway
[Eily]: I actually used the eskimo greeting :P, I just wrote the "canonical" form of the oneliner here
[Discipulus]: next time you can add `SARGV-1` and if still not impressed pass a 'rm -f..' as last arg
[Eily]: :)

How do I use this? | Other CB clients
Other Users?
Others taking refuge in the Monastery: (8)
As of 2017-04-26 15:10 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    I'm a fool:











    Results (482 votes). Check out past polls.